<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Unit Conversion and Dimensional Analysis Library: units::dimensionless Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Unit Conversion and Dimensional Analysis Library
   &#160;<span id="projectnumber">2.3.0</span>
   </div>
   <div id="projectbrief">A compile-time c++14 unit conversion library</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceunits.html">units</a></li><li class="navelem"><a class="el" href="namespaceunits_1_1dimensionless.html">dimensionless</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">units::dimensionless Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>namespace for unit types and containers for units that have no dimension (scalar units)  
<a href="namespaceunits_1_1dimensionless.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:afa05c1eff65b212eba705125a7829f0f"><td class="memItemLeft" align="right" valign="top"><a id="afa05c1eff65b212eba705125a7829f0f"></a>
typedef <a class="el" href="structunits_1_1unit.html">unit</a>&lt; std::ratio&lt; 1 &gt;, <a class="el" href="namespaceunits_1_1category.html#a6a8e59826a504070a1904837b0a80e58">units::category::scalar_unit</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>scalar</b></td></tr>
<tr class="separator:afa05c1eff65b212eba705125a7829f0f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a72c8dabff15f950fca3c0cbfb0928e91"><td class="memItemLeft" align="right" valign="top"><a id="a72c8dabff15f950fca3c0cbfb0928e91"></a>
typedef <a class="el" href="structunits_1_1unit.html">unit</a>&lt; std::ratio&lt; 1 &gt;, <a class="el" href="namespaceunits_1_1category.html#a5cd8f8c2ecd2fa4688f326c4bc7a20fc">units::category::dimensionless_unit</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>dimensionless</b></td></tr>
<tr class="separator:a72c8dabff15f950fca3c0cbfb0928e91"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af747bc24203407ff7374ac2cad2b3808"><td class="memItemLeft" align="right" valign="top"><a id="af747bc24203407ff7374ac2cad2b3808"></a>
typedef <a class="el" href="classunits_1_1unit__t.html">unit_t</a>&lt; <a class="el" href="structunits_1_1unit.html">scalar</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>scalar_t</b></td></tr>
<tr class="separator:af747bc24203407ff7374ac2cad2b3808"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af0d9d40006a8bdac01f5776e42d283f3"><td class="memItemLeft" align="right" valign="top"><a id="af0d9d40006a8bdac01f5776e42d283f3"></a>
typedef <a class="el" href="classunits_1_1unit__t.html">scalar_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b>dimensionless_t</b></td></tr>
<tr class="separator:af0d9d40006a8bdac01f5776e42d283f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaed71fa566d9fec9762a931b388caacc"><td class="memItemLeft" align="right" valign="top"><a id="aaed71fa566d9fec9762a931b388caacc"></a>
typedef <a class="el" href="classunits_1_1unit__t.html">unit_t</a>&lt; <a class="el" href="structunits_1_1unit.html">scalar</a>, double, <a class="el" href="structunits_1_1decibel__scale.html">decibel_scale</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>dB_t</b></td></tr>
<tr class="separator:aaed71fa566d9fec9762a931b388caacc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a85dec047260fe77c02d9fdc6c826af83"><td class="memItemLeft" align="right" valign="top"><a id="a85dec047260fe77c02d9fdc6c826af83"></a>
typedef <a class="el" href="classunits_1_1unit__t.html">dB_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b>dBi_t</b></td></tr>
<tr class="separator:a85dec047260fe77c02d9fdc6c826af83"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a3150de68c34a74fe497e96d99980afa3"><td class="memItemLeft" align="right" valign="top"><a id="a3150de68c34a74fe497e96d99980afa3"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">dB_t</a> &amp;obj)</td></tr>
<tr class="separator:a3150de68c34a74fe497e96d99980afa3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>namespace for unit types and containers for units that have no dimension (scalar units) </p>
<dl class="section see"><dt>See also</dt><dd>See <a class="el" href="classunits_1_1unit__t.html" title="Container for values which represent quantities of a given unit.">unit_t</a> for more information on <a class="el" href="structunits_1_1unit.html" title="Type representing an arbitrary unit.">unit</a> type containers. </dd></dl>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Oct 3 2020 11:16:54 for Unit Conversion and Dimensional Analysis Library by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
